Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class ConvenienceFileFilter

    java.lang.Object
      org.deegree.framework.util.ConvenienceFileFilter

All Implemented Interfaces:
  FilenameFilter

    public class ConvenienceFileFilter

extends Object
implements FilenameFilter

Class to be used with

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  `for reading all file/directory names starting at a given root directory`

Constructor Summary
`ConvenienceFileFilter(boolean returnDirsAsTrue, String... extensions)`
`ConvenienceFileFilter(List<String> extensions, boolean returnDirsAsTrue)`

Method Summary
`boolean` | `accept(File file, String name)`
`String` | `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvenienceFileFilter

    public ConvenienceFileFilter(List<String> extensions,
                                 boolean returnDirsAsTrue)

Parameters:
  `extensions` - list of considered file extensions (e.g. tif, BMP, Gif ..) The is is not case sensitive; use '*' for returning all files
  `returnDirsAsTrue` - if set too true the method also return directory names
See Also:
  `will return 'true' if the passed`, `is a directory`

### ConvenienceFileFilter

    public ConvenienceFileFilter(boolean returnDirsAsTrue,
                                 String... extensions)

Parameters:
  `returnDirsAsTrue` - if set too true the method also return directory names
  `extensions` - list of considered file extensions (e.g. tif, BMP, Gif ..) The is is not case sensitive; use '*' for returning all files

Method Detail

### getDescription

    public String getDescription()

  Returns:
    *.* (all files)

### accept

    public boolean accept(File file,
                          String name)

  Specified by:
    `accept` in interface `FilenameFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org